Message from UBC IT: Important Security Updates for all Apple Products

 

Security vulnerabilities are actively being exploited by criminals.  The vulnerabilities allow the criminals to install and run any Apps, on your Apple Products, from the internet.  That means they can fully control your Apple devices, including deleting, modifying or encrypting your files.  The primary targets will be government and institutional devices.

Updates are available from Apple and once updated your version should be one of the following;

  • iOS 12.4.9 (older iPhones)
  • iOS 14.2 (newer iPhones)
  • iPadOS 14.2 (newer iPads)
  • watchOS 5.3.9, 6.2.9, 7.1 (watches)
  • macOS Catalina 10.15.7 (supplemental update)
  • tvOS 14.2 (Apple TV)

If after updating, your devices operating system is not one of those listed above, you may need to purchase a new device to replace your obsolete model.

More details are available at hxxps://thehackernews.com/2020/11/update-your-ios-devices-now-3-actively.html

Psychiatry.IT@ubc.ca